Bug 333881 - service failed on boot with networkmanager
service failed on boot with networkmanager
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
Blocks: F8Target
  Show dependency treegraph
Reported: 2007-10-16 07:21 EDT by cje
Modified: 2008-04-04 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 11:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cje 2007-10-16 07:21:29 EDT
the ntpd service reports "failed" on boot if you're using networkmanager.

i thought this was meant to be fixed in ntp 4.2.4 according to bug 216351?  or
does 4.2.4 just have some new options which need to be configured to make it
handle this scenario?

anyhow, i imagine it could confuse new users because it looks like something's
gone wrong.  and it looks untidy because rhgb 'unhides'.

are we supposed to manually create a NetworkDispatcher rule to restart ntpd when
a network comes up and then stop ntpd from starting on boot?
Comment 1 Miroslav Lichvar 2007-10-16 07:55:02 EDT
ntpd shouldn't need a NetworkDispatcher rule.

Is it failing for "ntpd: Synchronizing with time server:" ? If yes, please
remove all servers listed in /etc/ntp/step-tickers, it's not supposed to work
with NetworkManager.
Comment 2 cje 2007-10-19 14:13:23 EDT
ah, nice.  thanks.  presumably those got in there because NM isn't activated by
default so the first time ntpd ran it was doing so without NM?

so maybe enabling NM should clean out that file?  or comment it out or move it?
 presumably it would be recreated anyway if you then disabled NM again?

maybe we should revisit this when we get to the next version of NM.
Comment 3 Miroslav Lichvar 2007-10-22 04:58:24 EDT
system-config-date has "Synchronize system clock before starting service" in
advanced options. It's disabled by default. Maybe you enabled it in first boot?
Comment 4 cje 2007-10-22 06:09:09 EDT
hmm.  well, i didn't enable it myself - just ticked "Enable Network Time
Protocol" - but it's enabled now.  Presumably it gets ticked by default if you
enable NTP in first boot?
Comment 5 Miroslav Lichvar 2007-10-22 07:33:32 EDT
Yes, that's the problem.

s-c-d should ignore lines beginning with # in step-tickers. ntp now packages
step-tickers which has a comment in (was empty in F7).
Comment 6 Nils Philippsen 2007-10-23 11:20:13 EDT
I've started to build system-config-date-1.9.15-1.fc8 right now which should:

- check if not only comments and/or empty lines are in the step-tickers files
instead of just checking its size
- write the comment "# List of servers used for initial synchronization." at the
top of the file, regardless if "Synchronize system clock before starting
service" is chosen or not
Comment 7 Nils Philippsen 2007-10-23 11:53:13 EDT
it's finished building, waiting for rel-eng...
Comment 8 Jeremy Katz 2007-10-24 14:46:54 EDT
And this is tagged
Comment 9 Bug Zapper 2008-04-04 10:07:37 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.